using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using System.Drawing.Drawing2D;

namespace Tester
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		protected override void OnPaint(PaintEventArgs e) 
		{
			Graphics g = e.Graphics;
		    
			// draw wide red line
			Pen mypen1 = new Pen(Color.Red);
			mypen1.Width = 15;
			g.DrawLine(mypen1, 1000, 45, 200, 700);
			
			// change end caps and draw line
			mypen1.StartCap = LineCap.Round;
			mypen1.EndCap = LineCap.Round;
			g.DrawLine(mypen1, 700, 100, 800, 300);

			// draw a blue arc 
			Pen mypen2 = new Pen(Color.Blue);
			mypen2.Width = 5;
			Rectangle rect1 = new Rectangle(10,20,200,300);
			g.DrawArc(mypen2, rect1, 20, 100);

			// draw a yellow ellipse
			Pen mypen3 = new Pen(Color.Yellow);
			mypen3.Width = 3;
			g.DrawEllipse(mypen3, 500, 50, 80, 300);

			// draw an aquamarine ellipse (circle)
			Pen mypen4 = new Pen(Color.Aquamarine);
			mypen4.Width = 6;
			g.DrawEllipse(mypen4, 50, 500, 100, 100);

			// draw a purple pie slice with 
			// a dashed line style
			Pen mypen5 = new Pen(Color.Purple);
			mypen5.Width = 4;
			mypen5.DashStyle = DashStyle.Dash;
			Rectangle rect2 = new Rectangle(400,200,600,400);
			g.DrawPie(mypen5, rect2, 20, 60);

			// draw a filled rectangle
			Brush mybrush1 = new SolidBrush(Color.LimeGreen);
			g.FillRectangle(mybrush1, 900, 200, 80, 100);

			// draw a filled circle
			Brush mybrush2 = new SolidBrush(Color.Orange);
			g.FillEllipse(mybrush2, 100, 25, 150, 150);
		}


		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 273);
			this.Name = "Form1";
			this.Text = "C# Windows Drawing Primitives";

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
